org.bdgenomics.adam.rdd

# GenomicRegionPartitioner

###
Related Docs: object GenomicRegionPartitioner | package rdd

#### case class GenomicRegionPartitioner(partitionSize: Long, seqLengths: Map[String, Long], start: Boolean = true) extends Partitioner with Logging with Product with Serializable

A partitioner for ReferenceRegion-keyed data.

partitionSize

  The number of bases per partition.

seqLengths

  A map between contig names and contig lengths.

start

  If true, use the start position (instead of the end position) to decide which partition a key belongs to.

Linear Supertypes
Product, Equals, Logging, Partitioner, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. GenomicRegionPartitioner
2. Product
3. Equals
4. Logging
5. Partitioner
6. Serializable
7. Serializable
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new GenomicRegionPartitioner(partitionSize: Long, seqLengths: Map[String, Long], start: Boolean = true)

   partitionSize

     The number of bases per partition.

   seqLengths

     A map between contig names and contig lengths.

   start

     If true, use the start position (instead of the end position) to decide which partition a key belongs to.

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

8. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

9. #### def getPartition(key: Any): Int

   key

     The key to get the partition index for.

   returns

     The partition that a key should map to.

   Definition Classes
     GenomicRegionPartitioner → Partitioner
   Exceptions thrown

     `IllegalArgumentException` Throws an exception if the data is not a ReferenceRegion or a tuple of (ReferenceRegion, _).

10. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

11. #### def isTraceEnabled(): Boolean

    Attributes
      protected
    Definition Classes
      Logging

12. #### def log: Logger

    Attributes
      protected
    Definition Classes
      Logging

13. #### def logDebug(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

14. #### def logDebug(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

15. #### def logError(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

16. #### def logError(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

17. #### def logInfo(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

18. #### def logInfo(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

19. #### def logName: String

    Attributes
      protected
    Definition Classes
      Logging

20. #### def logTrace(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

21. #### def logTrace(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

22. #### def logWarning(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

23. #### def logWarning(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### def numPartitions: Int

    returns

      The number of partitions described by this partitioner. Roughly the size of the genome divided by the partition length.

    Definition Classes
      GenomicRegionPartitioner → Partitioner

28. #### val partitionSize: Long

    The number of bases per partition.

29. #### val seqLengths: Map[String, Long]

    A map between contig names and contig lengths.

30. #### val start: Boolean

    If true, use the start position (instead of the end position) to decide which partition a key belongs to.

31. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

32. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Product

### Inherited from Equals

### Inherited from Logging

### Inherited from Partitioner

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped